XDR_ENCODE_OPAQUE_FI(9)

NAME
xdr_encode_opaque_fixed - Encode fixed length opaque data

SYNOPSIS

__be32 * xdr_encode_opaque_fixed(__be32 * p, const void * ptr, unsigned int nbytes);

ARGUMENTS

p
    pointer to current position in XDR buffer.

ptr
    pointer to data to encode (or NULL)

nbytes
    size of data.

DESCRIPTION

Copy the array of data of length nbytes at ptr to the XDR buffer at position p, then align to the next 32-bit boundary by padding with zero bytes (see RFC1832).

NOTE

if ptr is NULL, only the padding is performed.

Returns the updated current XDR buffer position

COPYRIGHT